Subject: Re: logging in via telnet: no user environment variables; cscript can't be executed
From: "Andreas Wicker" <[email-masked]>
To: "Bernd Strobel" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 12 Aug 2002 09:36:25 +0200

-----Ursprüngliche Nachricht-----
Von: Bernd Strobel <[email-masked]>
An: Andreas Wicker <[email-masked]>
Cc: [email-masked] <[email-masked]>
Datum: Samstag, 10. August 2002 16:04
Betreff: Re: logging in via telnet: no user environment variables; cscript
can't be executed

>
>>
>> When I log into a computer via cygwin telnet, I do get the system
>> environment variables.
>> But I do not get the user environment variables.
>
>
>I tried this in my /etc/profile:
>
>USERENV=/proc/registry/HKEY_CURRENT_USER/Environment
>
>for a in $USERENV/*; do
>        echo $a
>        name=`basename $a`
>        value="`sed -e 's/%\(.*\)%/\$\1/' <$a`"
>        eval export $name=\"$value\"
>done
>

Sorry, but I do not understand this.
/proc/registry/HKEY_CURRENT_USER/Environment is a directory, isn't it.
$USERENV/* are the files in this directory.
How do you get the User Environment to be listed as files in this directory?

Regards,
    Andreas

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/